Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::touch_sensor_node Class Reference

Inheritance diagram for openvrml::vrml97_node::touch_sensor_node:

[legend]
List of all members.

## Detailed Description

TouchSensor node instances.

## Public Member Functions

| touch_sensor_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~touch_sensor_node () throw ()
| Destroy.
virtual touch_sensor_node * | to_touch_sensor () const
| Cast to a touch_sensor_node.
void | activate (double timeStamp, bool isOver, bool isActive, double *p)
bool | enabled () const
| Return whether the TouchSensor is enabled.

## Private Attributes

exposedfield< sfbool > | enabled_
| enabled exposedField.
sfvec3f | hit_normal_changed_
| hitNormal_changed eventOut value.
sfvec3f_emitter | hit_normal_changed_emitter_
| hitNormal_changed eventOut emitter.
sfvec3f | hit_point_changed_
| hitPoint_changed eventOut value.
sfvec3f_emitter | hit_point_changed_emitter_
| hitPoint_changed eventOut emitter.
sfvec2f | hit_tex_coord_changed_
| hitTexCoord_changed eventOut value.
sfvec2f_emitter | hit_tex_coord_changed_emitter_
| hitTexCoord_changed eventOut emitter.
sfbool | is_active_
| isActive eventOut value.
sfbool_emitter | is_active_emitter_
| isActive eventOut emitter.
sfbool | is_over_
| isOver eventOut value.
sfbool_emitter | is_over_emitter_
| isOver eventOut emitter.
sftime | touch_time_
| touchTime eventOut value.
sftime_emitter | touch_time_emitter_
| touchTime eventOut emitter.

## Friends

class | touch_sensor_class
| Class object for TouchSensor instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::touch_sensor_node::touch_sensor_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

openvrml::vrml97_node::touch_sensor_node::~touch_sensor_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

touch_sensor_node * openvrml::vrml97_node::touch_sensor_node::to_touch_sensor | ( |  | ) | const`[virtual]`

Cast to a touch_sensor_node.

Returns:
  a pointer to the object.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::touch_sensor_node::activate | ( | double | timestamp,
|  | bool | isOver,
|  | bool | isActive,
|  | double * | p
| ) |

Todo:
  Doesn't compute the xxx_changed eventOuts yet...

bool openvrml::vrml97_node::touch_sensor_node::enabled | ( |  | ) | const

Return whether the TouchSensor is enabled.

Returns:
  `true` if the TouchSensor is enabled, `false` otherwise.

## Friends And Related Function Documentation

openvrml::vrml97_node::touch_sensor_node::touch_sensor_class`[friend]`

| Class object for TouchSensor instances.

## Member Data Documentation

exposedfield< sfbool > openvrml::vrml97_node::touch_sensor_node::enabled_ `[private]`

| enabled exposedField.

sfvec3f openvrml::vrml97_node::touch_sensor_node::hit_normal_changed_ `[private]`

| hitNormal_changed eventOut value.

sfvec3f_emitter openvrml::vrml97_node::touch_sensor_node::hit_normal_changed_emitter_ `[private]`

| hitNormal_changed eventOut emitter.

sfvec3f openvrml::vrml97_node::touch_sensor_node::hit_point_changed_ `[private]`

| hitPoint_changed eventOut value.

sfvec3f_emitter openvrml::vrml97_node::touch_sensor_node::hit_point_changed_emitter_ `[private]`

| hitPoint_changed eventOut emitter.

sfvec2f openvrml::vrml97_node::touch_sensor_node::hit_tex_coord_changed_ `[private]`

| hitTexCoord_changed eventOut value.

sfvec2f_emitter openvrml::vrml97_node::touch_sensor_node::hit_tex_coord_changed_emitter_ `[private]`

| hitTexCoord_changed eventOut emitter.

sfbool openvrml::vrml97_node::touch_sensor_node::is_active_ `[private]`

| isActive eventOut value.

sfbool_emitter openvrml::vrml97_node::touch_sensor_node::is_active_emitter_ `[private]`

| isActive eventOut emitter.

sfbool openvrml::vrml97_node::touch_sensor_node::is_over_ `[private]`

| isOver eventOut value.

sfbool_emitter openvrml::vrml97_node::touch_sensor_node::is_over_emitter_ `[private]`

| isOver eventOut emitter.

sftime openvrml::vrml97_node::touch_sensor_node::touch_time_ `[private]`

| touchTime eventOut value.

sftime_emitter openvrml::vrml97_node::touch_sensor_node::touch_time_emitter_ `[private]`

| touchTime eventOut emitter.